/**
 * Build project
 * @function update
 * @param {string} [dirname=process.cwd()] - Project directory name
 * @param {Object} [options={}] - Optional settings
 * @returns {Promise}
 */
'use strict'

const argx = require('argx')
const {updateDependencies} = require('ape-updating')

/** @lends update */
async function update (dirname = process.cwd(), options = {}) {
  const args = argx(arguments)
  options = args.pop('object') || {}
  dirname = args.shift('string') || process.cwd()
  let cwd = process.cwd()
  process.chdir(dirname)

  await updateDependencies({})

  process.chdir(cwd)
}

module.exports = update
